%global momorel 3

Name:           perl-Lingua-Stem
Version:        0.84
Release:        %{momorel}m%{?dist}
Summary:        Stemming of words
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Lingua-Stem/
Source0:        http://www.cpan.org/authors/id/S/SN/SNOWHARE/Lingua-Stem-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Lingua-PT-Stemmer
BuildRequires:  perl-Lingua-Stem-Fr >= 0.02
BuildRequires:  perl-Lingua-Stem-It
BuildRequires:  perl-Lingua-Stem-Ru
BuildRequires:  perl-Lingua-Stem-Snowball-Da >= 1.01
BuildRequires:  perl-Snowball-Norwegian
BuildRequires:  perl-Snowball-Swedish
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Text-German
Requires:       perl-Lingua-PT-Stemmer
Requires:       perl-Lingua-Stem-Fr >= 0.02
Requires:       perl-Lingua-Stem-It
Requires:       perl-Lingua-Stem-Ru
Requires:       perl-Lingua-Stem-Snowball-Da >= 1.01
Requires:       perl-Snowball-Norwegian >= 1.00
Requires:       perl-Snowball-Swedish >= 1.01
Requires:       perl-Text-German
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

%prep
%setup -q -n Lingua-Stem-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Artistic_License.txt Changes GPL_License.txt LICENSE README
%{perl_vendorlib}/Lingua/Stem
%{perl_vendorlib}/Lingua/Stem.pm
%{perl_vendorlib}/Lingua/Stem.pod
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.84-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-2m)
- rebuild against perl-5.12.1

* Fri Apr 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-1m)
- update to 0.84
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.83-2m)
- rebuild against gcc43

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-1m)
- update to 0.83

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.82-2m)
- use vendor

* Fri Sep 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.82-1m)
- spec file was autogenerated
